Get device details
GET
/devices/{deviceId}
Return static device details.
Authorizations
AccessToken
Type
HTTP (bearer)
Parameters
Path Parameters
deviceId*
Device ID
Type
Requiredstring
Responses
Device details returned successfully
application/json
id
string
Device unique identifier
siteId
string
Parent site ID
name
string
Device name
phaseType
string
Device phase type: Single phase or Three phase
Valid values
"singlePhase""threePhase"model
string
Device model
serialNumber
string
Device serial number
ratedPowerKw
number
Rated power (kW)
Format
"double"maxReactivePowerKvar
number
Maximum reactive power (kvar, positive=export/inductive, negative=absorb/capacitive)
Format
"double"pvCapacityKw
number
PV installed capacity (kW)
Format
"double"batteryCapacityKwh
number
Battery installed capacity (kWh, energy storage devices only)
Format
"double"maxChargePowerKw
number
Maximum charge power (kW, energy storage devices only)
Format
"double"maxDischargePowerKw
number
Maximum discharge power (kW, energy storage devices only)
Format
"double"installDate
string
Installation date
Format
"date-time"online
boolean
Is device online
faultStatus
string
Fault status
Valid values
"normal""fault"GET
/devices/{deviceId}